%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Fortran library for fast updates of QR/Cholesky decompositions
Name:		qrupdate
Version:	1.1.2
Release:	%mkrel 12
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
License:	GPLv3+
Group:		Development/Other
Url:		http://qrupdate.sourceforge.net/
BuildRequires:	gcc-gfortran
BuildRequires:	blas-devel
BuildRequires:	lapack-devel

%description
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

%package -n %{libname}
Summary:	qrupdate shared libraries
Group:		System/Libraries

%description -n %{libname}
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

This package contains the shared library required for running programs
built against %{name}.

%package -n %{develname}
Summary:	qrupdate development files
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

This package contains the files required for building programs
that use %{name}.

%prep
%setup -q

# ensure .so files are executable (0755) for proper -debuginfo extraction
sed -i 's|-m644|-m755|g' src/Makefile

%build
FFLAGS=$(echo %{optflags} |sed -e 's!-Wformat !!')
#parallel make broken
make lib solib FFLAGS="${FFLAGS} -fimplicit-none -funroll-loops -g" 

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_lib}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%doc README ChangeLog COPYING
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.a


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.1.2-12.mga8
+ Revision: 1516242
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.1.2-11.mga7
+ Revision: 1300674
- Mageia 7 Mass Rebuild

* Tue Jul 31 2018 eatdirt <eatdirt> 1.1.2-10.mga7
+ Revision: 1246412
- Rebuild for new gfortran
+ kekepower <kekepower>
- Use make_build
+ joequant <joequant>
- add debug info

* Mon Sep 11 2017 tv <tv> 1.1.2-9.mga7
+ Revision: 1152802
- use our flags, thus fixing debuginfo & thus build
- rebuild for new libgfortran
+ joequant <joequant>
- update with gcc/binutils

* Tue Feb 16 2016 umeabot <umeabot> 1.1.2-7.mga6
+ Revision: 962527
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 1.1.2-6.mga6
+ Revision: 893927
- fix empty debugfiles (permissions of libraries must be 0755 instead of 0644)

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-5.mga5
+ Revision: 745884
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-4.mga5
+ Revision: 688512
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.2-3.mga4
+ Revision: 517897
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 379898
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 22 2012 grenoya <grenoya> 1.1.2-1.mga3
+ Revision: 296680
- new version 1.1.2

* Mon Apr 18 2011 nanardon <nanardon> 1.1.1-1.mga1
+ Revision: 87885
- 1.1.1

* Tue Apr 12 2011 grenoya <grenoya> 1.0.1-3.mga1
+ Revision: 83971
- force bs submssion
- remove paralel make
- imported package qrupdate


* Thu Jun 11 2009 Lev Givon <lev@mandriva.org> 1.0.1-2mdv2010.0
+ Revision: 385211
- Force rebuild.


